Pull Request or Patch supplied:No Resolution:
Description

I was trying to hide from printing/exporting a label by sending it to back, but now I cannot figure out how to bring it back to the front

because it's unselected and hiding behind a few map and image objects. Selecting objects at the front and sending them to the back until

the wanted object appears is not a practical option: maybe I'm missing something ?

Associated revisions

Revision aaa2fcf4 - 2013-09-21 08:02 AM - Nyall Dawson

[feature] CTRL-click in composer to select items below other items (fix #4358)

Revision 4506b815 - 2014-07-30 12:01 PM - Nyall Dawson

[FEATURE][composer] Implement an item tree panel for composer windows

(fix #4358). Allows for selection of items, hiding/showing items,

toggling lock status of items and double-clicking to edit item id.

History

#1 - 2011-10-07 02:58 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

It is a "classical" way handle objects, the one used by powerpoint/impress for example. I can't see here a bug nor a feature request. If you have a clear idea

on how to improve object handling please reopen the ticket, and eventually evaluate to support the development of the feature you are requesting.

#2 - 2011-10-07 07:22 AM - Nathan Woodrow

I would say one way to handle this would be to have a tree list like in Qt Designer that shows you the controls that you can pick and bring it forward or

back.

#3 - 2011-10-07 07:41 AM - Giovanni Manghi

- Resolution deleted (invalid)

- Status changed from Closed to Open

- Assignee set to Marco Hugentobler

- Priority changed from Normal to Low
New description: I would say one way to handle this would be to have a tree list like in Qt Designer that shows you the controls that you can pick and bring

it forward or back.

#4 - 2011-10-07 08:34 AM - Thaddeus -

- File Inkscape_ClickOnXMLeditor.png added

A simple Listbox/Dropdown Listbox listing all the objects for selection would do: it better than editing the zValue manually as I'm doing now.

All of the following programs allow selection of the front-most only object when clicking on the main canvas, but offer options as described below.

A known CAD program uses the Ctrl key to cycle through and highlight all items below the cursor: pressing control and leftclick once and enters Cycle

mode, release control and subsequent leftclicks cycle through all objects in a loop until rightclick is pressed and then the  selection set is created.

Scribus has a more sophisticated object manager: the Outline Pallete. It's a floating/dockable panel or window showing a tree like structure of all objects

which have unique names. Any object can be selected here and more.. Control leftclick also cycles through all objects on the cancas, just like the CAD

program above.

Inkscape has a XML editor with similar capabilities as Scribus, but also allows one to edit the XML code from inside: very cool. In QGIS I open the QGS file

in my Geany text editor and manually change/swap the zValue, save and reopen on QGIS. Also, Alter cycles through all objects in Inkscape.

#5 - 2011-10-07 08:35 AM - Thaddeus -

- File Inkscape_ClickOnObjec.png added

#6 - 2011-10-07 08:35 AM - Thaddeus -

- File Scribus_EnforcingUniqueObjectName.png added

#7 - 2011-10-07 08:36 AM - Thaddeus -

- File Scribus_ClickOnOutlinePalette.png added

#8 - 2011-10-07 08:36 AM - Thaddeus -

- File Scribus_ClickOnYellowTriangle.png added

#9 - 2011-10-07 08:36 AM - Thaddeus -

- File CAD_SelectCycleOn.png added

#10 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#11 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#12 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#13 - 2013-05-16 09:21 PM - Nyall Dawson

- Target version changed from Future Release - Nice to have to Future Release - High Priority

- Assignee changed from Marco Hugentobler to Nyall Dawson

#14 - 2013-05-16 09:21 PM - Nyall Dawson

- Category changed from 33 to Map Composer/Printing
#15 - 2013-09-24 02:38 AM - Nyall Dawson

- Subject changed from Select a Composer Object hiding behind other objects. to Implement an item "tree" for composers

QGIS master now has the ability to select items hiding below other items by ctrl-clicking items. There's also menu items and shortcuts for select next

below/above.

However, I think an item tree panel would still be a great addition

#16 - 2013-10-01 07:11 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"aaa2fcf4724462e45f93eb97f17fbc2cb8664291".

#17 - 2013-10-01 03:01 PM - Nyall Dawson

Not sure why this auto-closed itself. Can someone with permission reopen this please?

#18 - 2013-10-01 03:11 PM - Jürgen Fischer

- Status changed from Closed to Open

#19 - 2014-07-30 03:01 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4506b81537dff3efe2a61c9992098e07e9d1af99".
